Delete a Site
delete
/rest/{versionId}/inventory/device-mgmt/sites/{siteId}
Use the (DELETE) method to delete a specific sitein Device Manager.
Request
Path Parameters
Back to Top
Response
204 Response
Deleted successfully.
400 Response
The user input is invalid.
401 Response
The user is unauthorized.
403 Response
The user does not have permission for the attempted action.
404 Response
The object (resource URI, site and so on) of your input request cannot be found.
500 Response
An internal server error has occurred while processing the request.
Examples
Examples of Accessing the API
See Authenticate page to acquire a token.
The following example shows how to use curl to delete a Site.
curl -X DELETE \
-H @auth_header.txt \
"https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/sites/<siteId>"The following example shows how to use Python to delete a Site.
import requests
headers = { "Authorization": "Bearer <auth-token>" }
url = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/sites/<siteId>"
resp = requests.delete(url, headers=headers)Note:
Use the Retrieves all Sites API to find the siteId parameter.Example of the Response Body
This endpoint does not return a response body.